%define oname	dxx-rebirth

Name:           d1x-rebirth
Version:        20210623
Release:        %mkrel 1
Summary:        The port of Descent 1 for Linux
License:        GPL 
Packager:       Agent Smith <ruidobranco@yahoo.com.br>
Group:          Games/Arcade
URL:            https://www.dxx-rebirth.com/
Source:         %{oname}_%{version}-src.tar.xz
Source2:        d1xr-hires.dxa


BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	nasm
BuildRequires:	scons
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}SDL_sound1.0-devel
BuildRequires:	%{_lib}physfs-devel
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	unzip
Requires:	%{_lib}physfs2
Conflicts:	%name < %version

%description
D1X-Rebirth is a Source Port of the Descent Engine and provides
classical Gameplay combined with OpenGL graphics and effects,
a bunch of improvements and new features.



%prep
%setup -q -n %{oname}_%{version}-src
dos2unix -c ascii d1x-rebirth/d1x.ini d1x-rebirth/*.txt
chmod 644 d1x-rebirth/d1x.ini d1x-rebirth/*.txt

%build
scons %{?_smp_mflags} \
	sharepath=%{_datadir}/games/descent \
	opengl=1 \
	sdlmixer=1 \
	d1x=1

%install
# binaries
install -dm 755 %{buildroot}%{_bindir}
install -m 755 d1x-rebirth/d1x-rebirth %{buildroot}%{_bindir}

# game data
install -dm 755 %{buildroot}%{_datadir}/games/descent
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/games/descent


# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps/
install -m 644 d1x-rebirth/d1x-rebirth.xpm %{buildroot}%{_datadir}/pixmaps/

# menu
install -dm 755 %{buildroot}%{_datadir}/applications
install -m 644 d1x-rebirth/%{name}.desktop %{buildroot}%{_datadir}/applications

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}_%{version}-src

%files
%doc README.md d1x-rebirth/*.txt
%{_bindir}/d1x-rebirth
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/descent/*



%changelog

* Mon Jul 19 2021 Agent Smith <ruidobranco@yahoo.com.br> d1x-rebirth-20210623-1pclos2021.rpm
- Updated the package, with latest sources. 

* Mon May 03 2021 Agent Smith <ruidobranco@yahoo.com.br> d1x-rebirth-20210422-1pclos2021.rpm
- Updated the package, with latest sources. 

* Fri Jun 12 2020 Agent Smith <ruidobranco@yahoo.com.br> d1x-rebirth-20200601-1pclos2020.rpm
- Updated the package, with latest sources. 

* Thu Sep 25 2014 Agent Smith <ruidobranco@yahoo.com.br> d1x-rebirth-0.58.1-1pclos2014.rpm
- Created the package.

